## plfit 0.9.3+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
cmake_policy(VERSION 3.9)

if(POLICY CMP0078)
  cmake_policy(SET CMP0078 NEW)   # UseSWIG: do not use legacy target names
endif(POLICY CMP0078)

if(POLICY CMP0086)
  cmake_policy(SET CMP0086 NEW)   # UseSWIG: pass -module option
endif(POLICY CMP0086)

# Add etc/cmake to CMake's search path so we can put our private stuff there
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/etc/cmake)

project(
  plfit
  VERSION 0.9.3
  DESCRIPTION "Library to fit power-law distributions to empirical data"
  HOMEPAGE_URL "https://github.com/ntamas/plfit"
  LANGUAGES C
)
enable_testing()

# Expose the BUILD_SHARED_LIBS option in the ccmake UI
option(BUILD_SHARED_LIBS "Build shared libraries" OFF)

# Add switches to use LTO and sanitizers if needed
include(lto)
include(sanitizers)

option(PLFIT_COMPILE_PYTHON_MODULE
       "Whether we want to compile the Python module (requires SWIG)"
       OFF)
option(PLFIT_USE_SSE
       "Use SSE/SSE2 optimizations if available"
       ON)
option(PLFIT_USE_OPENMP
       "Use OpenMP parallelization if available (experimental)"
       OFF)

# Check for required headers
include(CheckIncludeFiles)
check_include_files(emmintrin.h HAVE_EMMINTRIN_H)
check_include_files(malloc.h HAVE_MALLOC_H)

if(MSVC)
    # /Wall is too much for MSVC; use /W4 instead.
    # Don't produce C4100 warnings (unused formal parameter)
    add_definitions(-W4 -wd4100 -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE)
else()
    # On Linux and Mac we are okay with -Wall
    add_definitions(-Wall -DHAVE_CONFIG_H)
endif()

if(PLFIT_USE_SSE)
    message(STATUS "Using SSE/SSE2 optimizations if available")
    add_definitions(-DUSE_SSE)
else()
    message(STATUS "SSE/SSE2 optimizations disabled")
endif()

if(PLFIT_USE_OPENMP)
    find_package(OpenMP)
    if(OPENMP_FOUND)
        message(STATUS "Using OpenMP parallelization (experimental)")
    else()
        message(STATUS "OpenMP not supported by compiler; disabling OpenMP parallelization")
    endif()
else()
    message(STATUS "OpenMP parallelization disabled")
endif()

if(WIN32)
    # No need to link to the m library on Windows
    set(MATH_LIBRARY "")
else()
    FIND_LIBRARY(MATH_LIBRARY NAMES m)
endif()

# Add version information
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/src/plfit_version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/src/plfit_version.h
)

add_subdirectory(src)
add_subdirectory(test)

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include(GNUInstallDirs)

if(WIN32)
  set(PKGCONFIG_LIBS_PRIVATE "")
else()
  set(PKGCONFIG_LIBS_PRIVATE "-lm")
endif()

set(PLFIT_CORE_SRCS error.c gss.c kolmogorov.c lbfgs.c mt.c platform.c plfit.c options.c rbinom.c sampling.c stats.c hzeta.c)

add_library(plfit ${PLFIT_CORE_SRCS})
target_include_directories(plfit PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
set_target_properties(plfit PROPERTIES SOVERSION 0)

if(PLFIT_USE_OPENMP AND OPENMP_FOUND)
    target_link_libraries(plfit OpenMP::OpenMP_C)
endif()

if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
  set_target_properties(plfit PROPERTIES LINK_FLAGS "-Wl,--version-script=${PROJECT_SOURCE_DIR}/src/plfit.map")
  set_target_properties(plfit PROPERTIES LINK_DEPENDS ${PROJECT_SOURCE_DIR}/src/plfit.map)
endif()

configure_file(${PROJECT_SOURCE_DIR}/libplfit.pc.in ${PROJECT_BINARY_DIR}/libplfit.pc @ONLY)

install(TARGETS plfit LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(
    FILES
    ${PROJECT_SOURCE_DIR}/src/plfit.h
    ${PROJECT_SOURCE_DIR}/src/plfit_error.h
    ${PROJECT_SOURCE_DIR}/src/plfit_mt.h
    ${PROJECT_SOURCE_DIR}/src/plfit_sampling.h
    ${PROJECT_BINARY_DIR}/src/plfit_version.h
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/plfit
)
install(
    FILES ${PROJECT_BINARY_DIR}/libplfit.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

add_executable(plfit-bin main.c getopt.c)
target_link_libraries(plfit-bin plfit ${MATH_LIBRARY})
set_target_properties(plfit-bin PROPERTIES OUTPUT_NAME plfit)
install(TARGETS plfit-bin RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_executable(plgen plgen.c getopt.c)
target_link_libraries(plgen plfit ${MATH_LIBRARY})
install(TARGETS plgen RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

if(PLFIT_COMPILE_PYTHON_MODULE)
    # Check whether we have SWIG and the Python libraries installed
    find_package(SWIG REQUIRED)
    include(${SWIG_USE_FILE})
    find_package(PythonInterp REQUIRED)
    find_package(PythonLibs REQUIRED)
    include_directories(${PYTHON_INCLUDE_PATH})

    # using distutils.
    execute_process(
        COMMAND
        ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; print(sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}'))"
        OUTPUT_VARIABLE _python_instdir
        OUTPUT_STRIP_TRAILING_WHITESPACE
        )
    set(PYTHON_INSTDIR "${_python_instdir}")

    set(CMAKE_SWIG_FLAGS "")
    set_property(SOURCE plfit.i PROPERTY SWIG_MODULE_NAME plfit)
    if (NOT BUILD_SHARED_LIBS)
        swig_add_library(plfit_python LANGUAGE python SOURCES plfit.i ${PLFIT_CORE_SRCS})
        target_link_libraries(plfit_python ${PYTHON_LIBRARIES} m)
    else()
        swig_add_library(plfit_python LANGUAGE python SOURCES plfit.i)
        target_link_libraries(plfit_python ${PYTHON_LIBRARIES} plfit m)
    endif()

    target_include_directories(plfit_python PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

    install(TARGETS plfit_python DESTINATION ${PYTHON_INSTDIR})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plfit.py DESTINATION ${PYTHON_INSTDIR})

endif(PLFIT_COMPILE_PYTHON_MODULE)

=== test/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src)
add_definitions(-DDATADIR=\"${CMAKE_CURRENT_SOURCE_DIR}/../data\")

set(TEST_CASES discrete continuous real sampling underflow_handling xmin_too_low)
set(TEST_CASES_INTERNAL kolmogorov gss)

foreach(test ${TEST_CASES})
	add_executable(test_${test} test_${test}.c test_common.c)
	target_link_libraries(test_${test} plfit ${MATH_LIBRARY})
	add_test(test_${test} test_${test})
endforeach(test)

foreach(test ${TEST_CASES_INTERNAL})
	add_executable(test_${test} test_${test}.c test_common.c ${PROJECT_SOURCE_DIR}/src/${test}.c)
	target_link_libraries(test_${test} plfit ${MATH_LIBRARY})
	add_test(test_${test} test_${test})
endforeach(test)

=== debian/changelog ===
plfit (0.9.3+ds-1ubuntu1) jammy; urgency=medium

  * use 64bit long double on s390x (LP: #1962311) 

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 25 Feb 2022 14:48:50 +0100

plfit (0.9.3+ds-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:16:01 +0000

plfit (0.9.3+ds-1) unstable; urgency=medium

  * New upstrean nano release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, update;
    - d/patches/*:
      - d/debianization-tests.patch, partially integrated;
    - d/libplfit-dev.install, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 29 Dec 2021 14:06:29 +0000

plfit (0.9.1+ds-1) unstable; urgency=medium

  * New upstream nano release.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-typo-cmake-project-C_only.patch, integrated;
      - d/p/debianization-tests.patch, update.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 13 Dec 2021 14:42:06 +0000

plfit (0.9.0+ds-2) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/debianization.patch, specify Python version;
      - d/p/debianization-tests.patch, now just shorten the Python test;
    - d/rules, aesthetic change.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 16 Nov 2021 14:07:40 +0000

plfit (0.9.0+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New minor upstream release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, adapt;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change);
    - d/patches/*:
       - d/p/upstream-{fix,harden,enhance,silence}-*.patch, integrated;
       - d/p/upstream-typo-cmake-project-C_only.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 11 Nov 2021 15:34:00 +0000

plfit (0.8.2+ds-1) experimental; urgency=medium

  * Initial release. (Closes: #987559)

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Jul 2021 16:09:15 +0000

=== debian/control ===
Source: plfit
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSCB-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Section: math
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-dev,
 cmake,
 swig
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/plfit
Vcs-Git: https://salsa.debian.org/science-team/plfit.git
Homepage: https://github.com/ntamas/plfit
Rules-Requires-Root: no

Package: libplfit0
Provides: libplfit
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libplfit
Suggests: plfit (=${binary:Version}), plfit-doc
Multi-Arch: same
Description: fitting power-law distributions to empirical data -- library
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package provides the shared library required to run programs
 compiled against the plfit library. To compile your own programs you
 also need to install the libplfit-dev package.

Package: plfit
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libplfit0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: plfit-doc
Description: fitting power-law distributions to empirical data -- interfaces
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package provides two command line utilities, plfit and plgen.

Package: python3-plfit
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: fitting power-law distributions to empirical data -- Python
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package provides a Python module.

Package: libplfit-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libplfit0 (= ${binary:Version}), ${misc:Depends}
Suggests: plfit-doc
Multi-Arch: same
Description: fitting power-law distributions to empirical data -- development
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package contains the header files, static libraries and symbolic
 links that developers using the plfit library will need.

Package: plfit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: plfit (= ${binary:Version}), libplfit-dev (= ${binary:Version}), python3-plfit (= ${binary:Version})
Multi-Arch: foreign
Description: fitting power-law distributions to empirical data -- doc
 The plfit software fits power-law distributions to empirical (discrete or
 continuous) data, according to the method of Clauset, Shalizi and Newman
 [SIAM Review 51, 661-703 (2009)].
 .
 This package provides examples and data samples.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

BUILDIR_STATIC=_BUILD_STATIC
BUILDIR_SHARED=_BUILD_SHARED

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
export DEB_CFLAGS_APPEND = -mlong-double-64
endif

%:
	dh $@ --buildsystem=cmake --with python3 --builddirectory=$(BUILDIR_SHARED)

CONF_FLAGS=

override_dh_auto_configure:
	dh_auto_configure -B$(BUILDIR_SHARED) -- -DBUILD_SHARED_LIBS=ON  -DPLFIT_COMPILE_PYTHON_MODULE=ON  $(CONF_FLAGS)
	dh_auto_configure -B$(BUILDIR_STATIC) -- -DBUILD_SHARED_LIBS=OFF -DPLFIT_COMPILE_PYTHON_MODULE=OFF $(CONF_FLAGS)

override_dh_auto_build-arch:
	dh_auto_build -a -B$(BUILDIR_STATIC)
	dh_auto_build -a -B$(BUILDIR_SHARED)

override_dh_auto_install-arch:
	dh_auto_install -a -B$(BUILDIR_STATIC)
	dh_auto_install -a -B$(BUILDIR_SHARED)

UPS_LISTOF_PRIVATE_EXAMPLE := test_gss.c test_kolmogorov.c
DEB_DH_INSTALL_INDEP_XLIST := $(UPS_LISTOF_PRIVATE_EXAMPLE)
override_dh_install-indep:
	dh_install -i $(addprefix -X,$(DEB_DH_INSTALL_INDEP_XLIST))

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDIR_SHARED) $(BUILDIR_STATIC)

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds[\d]?//,repack,compression=xz" \
  https://github.com/ntamas/plfit/tags .*/v?(\d\S+)\.tar\.gz

## plfit 0.9.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 project(
   plfit
-  VERSION 0.9.3
+  VERSION 0.9.4
   DESCRIPTION "Library to fit power-law distributions to empirical data"
   HOMEPAGE_URL "https://github.com/ntamas/plfit"
   LANGUAGES C
@@ -27,6 +27,7 @@
 # Add switches to use LTO and sanitizers if needed
 include(lto)
 include(sanitizers)
+include(JoinPaths)
 
 option(PLFIT_COMPILE_PYTHON_MODULE
        "Whether we want to compile the Python module (requires SWIG)"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
   set_target_properties(plfit PROPERTIES LINK_DEPENDS ${PROJECT_SOURCE_DIR}/src/plfit.map)
 endif()
 
+join_paths(libdir_for_pc_file "\${exec_prefix}" "${CMAKE_INSTALL_LIBDIR}")
+join_paths(includedir_for_pc_file "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
 configure_file(${PROJECT_SOURCE_DIR}/libplfit.pc.in ${PROJECT_BINARY_DIR}/libplfit.pc @ONLY)
 
 install(TARGETS plfit LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 add_definitions(-DDATADIR=\"${CMAKE_CURRENT_SOURCE_DIR}/../data\")
 
 set(TEST_CASES discrete continuous real sampling underflow_handling xmin_too_low)
-set(TEST_CASES_INTERNAL kolmogorov gss)
+set(TEST_CASES_INTERNAL hzeta kolmogorov gss)
 
 foreach(test ${TEST_CASES})
 	add_executable(test_${test} test_${test}.c test_common.c)

=== debian/changelog ===
plfit (0.9.4+ds-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:38:20 +1100

plfit (0.9.4+ds-1ubuntu3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:44 +0100

plfit (0.9.4+ds-1ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:38:05 +0000

plfit (0.9.4+ds-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2003905). Remaining changes:
    - use 64bit long double on s390x (LP #1962311)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 25 Jan 2023 11:52:07 -0800

plfit (0.9.4+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
      - copyright year tuples, update;
    - d/rules:
      - UPS_LISTOF_PRIVATE_EXAMPLE list, add test_hzeta.c ;
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 08 Aug 2022 15:46:28 +0000

plfit (0.9.3+ds-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 20:30:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: plfit
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSCB-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
@@ -10,7 +10,7 @@
  python3-dev,
  cmake,
  swig
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/plfit
 Vcs-Git: https://salsa.debian.org/science-team/plfit.git
 Homepage: https://github.com/ntamas/plfit

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_auto_install -a -B$(BUILDIR_STATIC)
 	dh_auto_install -a -B$(BUILDIR_SHARED)
 
-UPS_LISTOF_PRIVATE_EXAMPLE := test_gss.c test_kolmogorov.c
+UPS_LISTOF_PRIVATE_EXAMPLE := test_gss.c test_hzeta.c test_kolmogorov.c
 DEB_DH_INSTALL_INDEP_XLIST := $(UPS_LISTOF_PRIVATE_EXAMPLE)
 override_dh_install-indep:
 	dh_install -i $(addprefix -X,$(DEB_DH_INSTALL_INDEP_XLIST))

## plfit 0.9.6%2Bds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 add_library(plfit ${PLFIT_CORE_SRCS})
 target_include_directories(plfit PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
 set_target_properties(plfit PROPERTIES SOVERSION 0)
+target_link_libraries(plfit ${MATH_LIBRARY})
 
 if(PLFIT_USE_OPENMP AND OPENMP_FOUND)
     target_link_libraries(plfit OpenMP::OpenMP_C)
@@ -55,32 +56,27 @@
     # Check whether we have SWIG and the Python libraries installed
     find_package(SWIG REQUIRED)
     include(${SWIG_USE_FILE})
-    find_package(PythonInterp REQUIRED)
-    find_package(PythonLibs REQUIRED)
-    include_directories(${PYTHON_INCLUDE_PATH})
 
-    # using distutils.
-    execute_process(
-        COMMAND
-        ${PYTHON_EXECUTABLE} -c "from distutils import sysconfig; print(sysconfig.get_python_lib(1,0,prefix='${CMAKE_INSTALL_PREFIX}'))"
-        OUTPUT_VARIABLE _python_instdir
-        OUTPUT_STRIP_TRAILING_WHITESPACE
-        )
-    set(PYTHON_INSTDIR "${_python_instdir}")
+    include(FindPython3)
+	find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
 
     set(CMAKE_SWIG_FLAGS "")
     set_property(SOURCE plfit.i PROPERTY SWIG_MODULE_NAME plfit)
     if (NOT BUILD_SHARED_LIBS)
         swig_add_library(plfit_python LANGUAGE python SOURCES plfit.i ${PLFIT_CORE_SRCS})
-        target_link_libraries(plfit_python ${PYTHON_LIBRARIES} m)
+        target_link_libraries(plfit_python ${Python3_LIBRARIES} m)
     else()
         swig_add_library(plfit_python LANGUAGE python SOURCES plfit.i)
-        target_link_libraries(plfit_python ${PYTHON_LIBRARIES} plfit m)
+        target_link_libraries(plfit_python ${Python3_LIBRARIES} plfit m)
     endif()
 
-    target_include_directories(plfit_python PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
+    target_include_directories(
+        plfit_python PUBLIC
+        ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
+        ${Python3_INCLUDE_DIRS}
+    )
 
-    install(TARGETS plfit_python DESTINATION ${PYTHON_INSTDIR})
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plfit.py DESTINATION ${PYTHON_INSTDIR})
+    install(TARGETS plfit_python DESTINATION ${Python3_SITEARCH})
+	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plfit.py DESTINATION ${Python3_SITELIB})
 
 endif(PLFIT_COMPILE_PYTHON_MODULE)

## plfit 0.9.6+ds

=== debian/changelog ===
plfit (0.9.6+ds-2) unstable; urgency=medium

  * Critical fix release, documentation no more put in root `/`
    (Closes: #1077852).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 03 Aug 2024 20:49:59 +0000

plfit (0.9.6+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/p/debianization.patch, refresh;
    - d/plfit-doc.install, add CONTRIBUTORS.txt.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 15 Mar 2024 09:08:25 +0000

plfit (0.9.5+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
      - copyright year tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.2 (no change);
    - d/s/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 10 Mar 2024 22:06:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: plfit
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Section: math
 Priority: optional
@@ -10,7 +9,7 @@
  python3-dev,
  cmake,
  swig
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/plfit
 Vcs-Git: https://salsa.debian.org/science-team/plfit.git
 Homepage: https://github.com/ntamas/plfit

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,6 @@
 
 BUILDIR_STATIC=_BUILD_STATIC
 BUILDIR_SHARED=_BUILD_SHARED
-
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
-ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
-export DEB_CFLAGS_APPEND = -mlong-double-64
-endif
 
 %:
 	dh $@ --buildsystem=cmake --with python3 --builddirectory=$(BUILDIR_SHARED)
